Hailo Network IP Ltd | What version of the Hailo app do I need ...

Help Center

What version of the Hailo app do I need to be on?

Last Updated: Oct 21, 2015 01:28PM BST

Version 4.0 or above.

Was this answer helpful?